package at.oefai.aaa;


import javax.swing.ListModel;
import javax.swing.tree.TreeModel;
import javax.swing.tree.TreeSelectionModel;
import java.io.File;

/**
 * Interface for listeners to agent models.
 * @author Stefan Rank
 */
public interface IDetailSink {
    void setEnvironmentModels(final ListModel lm, final TreeModel intents,
                              final TreeSelectionModel tsm);

    void addAgentModels(final String agentName, final File agentPNGfile,
            final ListModel facts, final TreeModel intents, final TreeSelectionModel tsm);

    void clearModels();
}

