package at.oefai.aaa;

import java.io.File;

/**
 * The basic state machine contract for a viewer application.
 * @author Stefan Rank
 */
public interface IState {
    boolean pause();

    boolean start();

    boolean load(File f);

    boolean save(File f);

    boolean reset();

    void exit();

    void synchronize();
}
