package at.oefai.aaa.agent.jam;

/**
 * An abstract base class for representing the agent's actions.
 * @author Marc Huber
 * @author Jaeho Lee
 */
abstract class AbstractAction implements Action {
    // trace information
    private String file = null;
    private int line = 0;

    public String getTraceFile() { return this.file; }

    public int getTraceLine() { return this.line; }

    /** Set values for the filename and file line number. */
    public void setTrace(final String pFile, final int pLine) {
        this.file = pFile;
        this.line = pLine;
    }

}

