package at.oefai.aaa.agent.jam;


/**
 * A positive reaction because someone did something praiseworthy.
 * @author Stefan Rank
 */
public class ActionAdmireAppraisal extends ActionAppraisal {
    private static final float PREF_CHANGE = 0.05f;

    public ActionAdmireAppraisal(final float pConformanceValue, final WorldModelRelation pRelation,
                   final Interpreter pInterpreter) {
        super(pConformanceValue, pRelation, pInterpreter);
    }

    public final float getPreferenceChange() {
        return PREF_CHANGE * getIntensity();
    }

    public final String getImpulseExpression() {
        return "Admire";
    }
}
