package at.oefai.aaa.agent.jam;


/**
 * A negative reaction because someone did something blameworthy.
 * @author Stefan Rank
 */
public class ActionAngerAppraisal extends ActionAppraisal {
    private static final float PREF_CHANGE = -0.05f;

    public ActionAngerAppraisal(final float pConformanceValue, final WorldModelRelation pRelation,
                   final Interpreter pInterpreter) {
        super(pConformanceValue, pRelation, pInterpreter);
    }

    public final float getPreferenceChange() {
        return PREF_CHANGE * getIntensity();
    }

    public final String getImpulseExpression() {
        return "Anger";
    }
}
