package at.oefai.aaa.agent.jam;

import java.io.Serializable;

import at.oefai.aaa.agent.jam.types.Binding;
import at.oefai.aaa.agent.jam.types.DList;

/**
 * A boolean-evaluable object
 * @author Marc Huber
 * @author Jaeho Lee
 * @author Stefan Rank
 */
interface Condition extends Serializable {

    boolean check(DList<Binding> bl);

    boolean confirm(Binding b);

}

