package at.oefai.aaa.agent.jam;



/**
 * A negative reaction because something bad happened.
 * @author Stefan Rank
 */
public class EventDistressAppraisal extends EventAppraisal {
    private static final float PREF_CHANGE = -0.1f;

    public EventDistressAppraisal(final float pRelevanceValue, final WorldModelRelation pRelation,
                   final Interpreter pInterpreter) {
        super(pRelevanceValue, pRelation, pInterpreter);
    }

    public final float getPreferenceChange() {
        return PREF_CHANGE * getIntensity();
    }

    public final String getImpulseExpression() {
        return "Distress";
    }
}
