package at.oefai.aaa.agent.jam;



/**
 * A negative reaction because something bad could happen.
 * @author Stefan Rank
 */
public class EventFearAppraisal extends EventAppraisal {
    private static final float PREF_CHANGE = -0.05f;

    public EventFearAppraisal(final float pRelevanceValue, final WorldModelRelation pRelation,
                   final Interpreter pInterpreter) {
        super(pRelevanceValue, pRelation, pInterpreter);
    }

    public final float getPreferenceChange() {
        return PREF_CHANGE * getIntensity();
    }

    public final String getImpulseExpression() {
        return "Fear";
    }
}
