package at.oefai.aaa.agent.jam;

import java.io.Serializable;

import at.oefai.aaa.agent.jam.types.Binding;

/**
 * Represents the runtime state of plan constructs.
 * @author Marc Huber
 * @author Jaeho Lee
 */
interface PlanRuntimeState extends Serializable {
    static enum State { CONSTRUCT_FAILED, CONSTRUCT_INCOMP, CONSTRUCT_COMPLETE}

    /**  */
    State execute(final Binding b, final Goal thisGoal);

}

