package at.oefai.aaa.animation;

import java.io.File;
import java.util.List;

import org.apache.batik.script.Window;
import org.w3c.dom.svg.SVGDocument;

import at.oefai.aaa.agent.jam.Animator;
import at.oefai.aaa.agent.jam.types.Value;

/**
 * BaseAnim interface for all animations.
 * @author Stefan Rank
 */
interface BaseAnim extends Runnable, Animator.ITask {

    BaseAnim newInstance();

    void init(final SVGDocument pSvgDoc, final String pActor, final List<Value> pArgs);

    void start(Window win, File paudio);

}
