package at.oefai.aaa.agent.jam;



/**
 * A positive reaction because something good could happen.
 * @author Stefan Rank
 */
public class EventHopeAppraisal extends EventAppraisal {
    private static final float PREF_CHANGE = 0.05f;

    public EventHopeAppraisal(final float pRelevanceValue, final WorldModelRelation pRelation,
                   final Interpreter pInterpreter) {
        super(pRelevanceValue, pRelation, pInterpreter);
    }

    public final float getPreferenceChange() {
        return PREF_CHANGE * getIntensity();
    }

    public final String getImpulseExpression() {
        return "Hope";
    }
}
