package at.oefai.aaa.agent.jam;



/**
 * A positive reaction because something good happened.
 * @author Stefan Rank
 */
public class EventJoyAppraisal extends EventAppraisal {
    private static final float PREF_CHANGE = 0.1f;

    public EventJoyAppraisal(final float pRelevanceValue, final WorldModelRelation pRelation,
                   final Interpreter pInterpreter) {
        super(pRelevanceValue, pRelation, pInterpreter);
    }

    public final float getPreferenceChange() {
        return PREF_CHANGE * getIntensity();
    }

    public final String getImpulseExpression() {
        return "Joy";
    }
}
