package at.oefai.aaa.agent.jam;



/**
 * A positive reaction because something bad didnt happen.
 * @author Stefan Rank
 */
public class EventReliefAppraisal extends EventAppraisal {
    private static final float PREF_CHANGE = -0.05f;

    public EventReliefAppraisal(final float pRelevanceValue, final WorldModelRelation pRelation,
                   final Interpreter pInterpreter) {
        super(pRelevanceValue, pRelation, pInterpreter);
    }

    public final float getPreferenceChange() {
        return PREF_CHANGE * getIntensity();
    }

    public final String getImpulseExpression() {
        return "Relief";
    }
}
