package at.oefai.aaa.agent.jam;



/**
 * A negative reaction because something good didnt happen.
 * @author Stefan Rank
 */
public class EventSadAppraisal extends EventAppraisal {
    private static final float PREF_CHANGE = 0.05f; // a plus for trying

    public EventSadAppraisal(final float pRelevanceValue, final WorldModelRelation pRelation,
                   final Interpreter pInterpreter) {
        super(pRelevanceValue, pRelation, pInterpreter);
    }

    public final float getPreferenceChange() {
        return PREF_CHANGE * getIntensity();
    }

    public final String getImpulseExpression() {
        return "Sad";
    }
}
