package at.oefai.aaa.agent.jam;

import java.io.Serializable;

import at.oefai.aaa.agent.jam.types.Binding;

/**
 * A built-in JAM primitive action for forcing action failure.
 * @author Marc Huber
 * @author Jaeho Lee
 */
class FailAction extends AbstractAction implements Serializable {

    // Member functions

    public boolean isExecutableAction() { return true; }

    public Result execute(final Binding b, final Goal currentGoal) { return Result.FAILED; }

    /**  */
    public String formattedString(final Binding b) {
        return "FAIL:\n";
    }

    public String getName() {
        return "FAIL";
    }
}

