package at.oefai.aaa.agent.jam;

/**
 * Subclass of parseexception that simply adds a filename to the message.
 * @author Stefan Rank
 */
public class FileParseException extends ParseException {
    private final String filename;

    public FileParseException(final ParseException pe, final String pfilename) {
        super(pe.currentToken, pe.expectedTokenSequences, pe.tokenImage);
        this.filename = pfilename;
    }

    public final String getMessage() {
        return "(File: " + this.filename + ") " + super.getMessage();
    }

}

