package at.oefai.aaa.agent.jam;

import java.io.Serializable;

import at.oefai.aaa.agent.jam.types.Binding;
import at.oefai.aaa.agent.jam.types.Expression;

/**
 * A built-in JAM primitive action for subgoaling to gather information.
 * @author Marc Huber
 * @author Jaeho Lee
 */
class QueryGoalAction extends GoalAction implements Serializable {

    /** Primary constructor. */
    public QueryGoalAction(final Relation goal, final Expression utility) {
        super(goal, utility);
    }


    // Member functions

    public boolean isExecutableAction() { return false; }

    /** Display information about the goal. */
    public String formattedString(final Binding b) {
        return formattedStringEnhanced(b, "QUERY", ";");
    }

}

