package at.oefai.aaa.agent.jam;

import java.io.Serializable;

import at.oefai.aaa.agent.jam.types.Binding;

/**
 * A built-in JAM primitive action for forcing action success.
 * @author Marc Huber
 */
class SucceedAction extends AbstractAction implements Serializable {

    // Member functions

    public boolean isExecutableAction() { return true; }

    /** This function will always succeed. */
    public Result execute(final Binding b, final Goal currentGoal) {
        return Result.SUCCEEDED;
    }

    /**  */
    public String formattedString(final Binding b) {
        return "SUCCEED:" + "\n";
    }

    public String getName() {
        return "SUCEED";
    }
}

