package at.oefai.aaa.animation;

import org.apache.batik.bridge.UpdateManagerListener;
import org.apache.batik.swing.gvt.GVTTreeRendererListener;
import org.apache.batik.swing.svg.GVTTreeBuilderListener;
import org.apache.batik.swing.svg.SVGLoadEventDispatcherListener;

/**
 * helper interface subsuming all relvant interfaces for JSVGCanvas.
 * @author Stefan Rank
 */
public interface ISvgListener extends
        GVTTreeBuilderListener,
        SVGLoadEventDispatcherListener,
        UpdateManagerListener,
        GVTTreeRendererListener {
    //empty as this is only an interface collection for convenience
}
