package at.oefai.aaa.gui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;

import javax.swing.JPanel;

/**
 * The WorldPanel simply contains a component that displays the current world.
 * this can for examplse be an SVG canvas
 * @author Stefan Rank
 */
public class WorldPanel extends JPanel {

    private static final int DEFAULT_HEIGHT = 200;
    private static final int DEFAULT_WIDTH = 600;
    public WorldPanel(final Component display) {
        setLayout(new BorderLayout());
        setBackground(Color.white);
        setMinimumSize(new Dimension(DEFAULT_WIDTH, DEFAULT_HEIGHT));
        setPreferredSize(new Dimension(DEFAULT_WIDTH, DEFAULT_HEIGHT));
        add(display, BorderLayout.CENTER);
    }
}

